Skip to main content
GET
/
ai
/
actor-projects
/
{project_id}
/
threads
List project threads
curl --request GET \
  --url https://api.wacht.dev/ai/actor-projects/{project_id}/threads \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "deployment_id": "<string>",
    "actor_id": "<string>",
    "project_id": "<string>",
    "title": "<string>",
    "thread_kind": "<string>",
    "thread_visibility": "<string>",
    "thread_purpose": "<string>",
    "responsibility": "<string>",
    "reusable": true,
    "accepts_assignments": true,
    "capability_tags": [
      "<string>"
    ],
    "status": "<string>",
    "system_instructions": "<string>",
    "last_activity_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "execution_state": {},
    "next_event_sequence": 123,
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "archived_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

Query Parameters

include_archived
boolean

Response

200 - application/json

Project threads

id
string
deployment_id
string
actor_id
string
project_id
string
title
string
thread_kind
string
thread_visibility
string
thread_purpose
string
responsibility
string | null
reusable
boolean
accepts_assignments
boolean
capability_tags
string[]
status
string
system_instructions
string | null
last_activity_at
string<date-time>
completed_at
string<date-time> | null
execution_state
object
next_event_sequence
integer
metadata
object
created_at
string<date-time>
updated_at
string<date-time>
archived_at
string<date-time> | null